Home Home > GIT Browse
summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorMichal Marek <mmarek@suse.cz>2011-08-09 00:41:10 +0200
committerMichal Marek <mmarek@suse.cz>2011-08-09 00:41:10 +0200
commitad677027279e3c19569176b1c8da10cc66d3cf22 (patch)
tree6ffcda7a15fd4ad2d63ddb9c3d7a659591ed6a1d
parentf1af972d0e0bea6f6ded52b55e4758d0d4eab9cf (diff)
parent6478acafeb5e37f820b1ac1be734f5ab346fe77e (diff)
Merge branch 'scripts'
-rwxr-xr-xscripts/sequence-patch.sh11
-rw-r--r--scripts/wd-functions.sh6
2 files changed, 6 insertions, 11 deletions
diff --git a/scripts/sequence-patch.sh b/scripts/sequence-patch.sh
index 20c1c5b6a5..2d70aeabbe 100755
--- a/scripts/sequence-patch.sh
+++ b/scripts/sequence-patch.sh
@@ -212,12 +212,6 @@ PATCH_DIR=$SCRATCH_AREA/linux-$SRCVERSION${TAG:+-$TAG}
PATCH_LOG=$SCRATCH_AREA/patch-$SRCVERSION${TAG:+-$TAG}.log
LAST_LOG=$SCRATCH_AREA/last-$SRCVERSION${TAG:+-$TAG}.log
-# Check if we can clean up backup files at the end
-# (slightly faster, but requires more disk space).
-free_blocks="$(df -P "$SCRATCH_AREA" \
- | awk 'NR==2 && match($4, /^[0-9]*$/) { print $4 }' 2> /dev/null)"
-[ "0$free_blocks" -gt 262144 ] && enough_free_space=1
-
# Check series.conf.
if [ ! -r series.conf ]; then
echo "Configuration file \`series.conf' not found"
@@ -441,7 +435,7 @@ while [ $# -gt 0 ]; do
if [ $STATUS -ne 0 ]; then
restore_files $backup_dir $PATCH_DIR
fi
- if ! $QUILT && test -z "$enough_free_space"; then
+ if ! $QUILT; then
rm -rf $PATCH_DIR/.pc/
fi
cat $LAST_LOG >> $PATCH_LOG
@@ -471,9 +465,6 @@ if [ -n "$EXTRA_SYMBOLS" ]; then
fi
if ! $QUILT; then
- if test -n "$enough_free_space"; then
- rm -rf $PATCH_DIR/.pc/
- fi
rm $PATCH_DIR/series
fi
diff --git a/scripts/wd-functions.sh b/scripts/wd-functions.sh
index f5e031cf8d..8a3a4e8bb3 100644
--- a/scripts/wd-functions.sh
+++ b/scripts/wd-functions.sh
@@ -45,7 +45,11 @@ _find_tarball()
set -- ${version//[.-]/ }
major=$1.$2
- for dir in . $MIRROR {/mounts,/cml,}/mirror/kernel; do
+ case "$major" in
+ 3.*)
+ major=3.x
+ esac
+ for dir in . $MIRROR {/mounts,/labs,}/mirror/kernel; do
for subdir in "" "/v$major" "/testing" "/v$major/testing"; do
if test -r "$dir$subdir/linux-$version.tar.bz2"; then
echo "$dir$subdir/linux-$version.tar.bz2"